import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

	this.renewUserInstance = function (userInstanceId) {
		utils.popup(".renewPopup?userInstanceId=" + userInstanceId, {
			height: "26em",
			callback: function () {
				utils.successRefresh("续期成功")
			}
		})
	}

	this.updateObjectsPopup = function (userInstanceId) {
		utils.popup(".updateObjectsPopup?userInstanceId=" + userInstanceId, {
			width: "60em",
			height: "40em",
			callback: function () {
				utils.successRefresh("保存成功")
			}
		})
	}

	this.deleteUserInstance = function (userInstanceId) {
		let that = this
		utils.confirm("确定要删除此实例吗？", function () {
			that.$post(".delete")
				.params({
					userInstanceId: userInstanceId
				})
				.success(function () {
					utils.successRefresh("删除成功")
				})
		})
	}
}